com.google.gwt.event.logical.shared

## Interface HasShowRangeHandlers<V>

Type Parameters:
  `V` - the type of range

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  DatePicker

    public interface HasShowRangeHandlers<V>
    extends HasHandlers

A widget that implements this interface is a public source of `ShowRangeEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addShowRangeHandler(ShowRangeHandler<V> handler)` Adds a `ShowRangeEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addShowRangeHandler

    HandlerRegistration addShowRangeHandler(ShowRangeHandler<V> handler)

Adds a `ShowRangeEvent` handler.

Parameters:
  `handler` - the handler
Returns:
  the registration for the event